【PHP7.3】preg_replace(): Compilation failed: invalidを解決

2019年7月、ワードプレスに突如エラーが、、、!
Warning: preg_replace(): Compilation failed: invalid range in character class at offset 4 in /home/※※/wp-content/plugins/crayon-syntax-highlighter/crayon_langs.class.php on line 340

【環境】
ワードプレス×さくらサーバ

【状態】
サイトHOMEと管理画面がエラーメッセージで埋めつくされています。

Warning: preg_replace(): Compilation failed…解決方法

2019年7月3日より、さくらインターネットでは「PHP7.3」が強制的に適用されます。
エラーの原因は、そのPHP7.3にアップデートするとエラーが起きるプラグインのせいです。

私の環境ではは以下のプラグインを「無効」にすることでエラーを解決することができました。

似たようなケースでも
エラーが発生した場合は「プラグインを無効にする」ことで解決できる可能性があります。

コメントを残す

メールアドレスが公開されることはありません。

日本語が含まれない投稿は無視されますのでご注意ください。(スパム対策)